| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPoly2DPool Class Reference
[Geometry utilities]

This is an object pool which holds objects of type csPoly2D. More...

`#include <csgeom/polypool.h>`

List of all members.

## Public Member Functions
csPoly2D * | Alloc ()
| Allocate a new object in the pool.
| csPoly2DPool (csPoly2DFactory *fact)
| Create an empty pool.
void | Free (csPoly2D *pol)
| Free an object and put it back in the pool.
| ~csPoly2DPool ()
| Destroy pool and all objects in the pool.

## Detailed Description

This is an object pool which holds objects of type csPoly2D.

You can ask new instances from this pool. If needed it will allocate one for you but ideally it can give you one which was allocated earlier.

Definition at line 39 of file polypool.h.

## Constructor & Destructor Documentation

csPoly2DPool::csPoly2DPool | ( | csPoly2DFactory * | fact | ) | `[inline]`

Create an empty pool.

Definition at line 57 of file polypool.h.

csPoly2DPool::~csPoly2DPool | ( |  | ) | `[inline]`

Destroy pool and all objects in the pool.

Definition at line 61 of file polypool.h.

## Member Function Documentation

csPoly2D* csPoly2DPool::Alloc | ( |  | ) | `[inline]`

Allocate a new object in the pool.

Definition at line 83 of file polypool.h.

References csPoly2DFactory::Create().

void csPoly2DPool::Free | ( | csPoly2D * | pol | ) | `[inline]`

Free an object and put it back in the pool.

Note that it is only legal to free objects which were allocated from the pool.

Definition at line 106 of file polypool.h.

References CS_ASSERT.

The documentation for this class was generated from the following file:

- csgeom/polypool.h